createLUR {SpatioTemporal} | R Documentation

## Add Covariate Fields to `STdata` Object.

### Description

Extracts the requested geographic and spatio-temporal covariates from a `STmodel` object and formats them into suitable matrices. For INTERNAL use by `createSTmodel`

### Usage

    createLUR(STdata, LUR.list)

    createST(STdata, ST.list)

### Arguments

`STdata` | `STdata` object with observations, covariates, trends, etc; see `mesa.data.raw`.
`LUR.list` | specification of covariates; e.g. output from `processLUR`.
`ST.list` | specification of spatio-temporal covariates; e.g. output from `processST`.

### Value

`STdata` with added fields `LUR`, or `ST` and `ST.all`.

### Author(s)

Johan Lindstrom

[Package SpatioTemporal version 1.1.9.1 Index]